org.apache.ode.bpel.dao

## Interface PartnerLinkDAO

- All Known Implementing Classes:
    PartnerLinkDAOImpl, PartnerLinkDAOImpl, PartnerLinkDAOImpl

      public interface PartnerLinkDAO

  Data access object representing the endpoint reference of a specific partner link role (typically the partnerRole). An EPR has an implicit value attributed by the engine (usually by using the WSDL service definition but anyway that's the communication layer business). An EndpointReferenceDAO only has its own value if the default has been overriden (by assignment).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Element` | `getMyEPR()`
    `java.lang.String` | `getMyRoleName()`
    `javax.xml.namespace.QName` | `getMyRoleServiceName()` Get the service name associated with this partner link.
    `java.lang.String` | `getMySessionId()`
    `org.w3c.dom.Element` | `getPartnerEPR()`
    `int` | `getPartnerLinkModelId()` Get the model id of the partner link.
    `java.lang.String` | `getPartnerLinkName()`
    `java.lang.String` | `getPartnerRoleName()`
    `java.lang.String` | `getPartnerSessionId()`
    `void` | `setMyEPR(org.w3c.dom.Element val)`
    `void` | `setMyRoleServiceName(javax.xml.namespace.QName svcName)`
    `void` | `setMySessionId(java.lang.String sessionId)`
    `void` | `setPartnerEPR(org.w3c.dom.Element val)`
    `void` | `setPartnerSessionId(java.lang.String session)`

- - ### Method Detail

    - #### getPartnerLinkModelId

          int getPartnerLinkModelId()

      Get the model id of the partner link.
      Returns:

    - #### getMyRoleName

          java.lang.String getMyRoleName()

    - #### getPartnerRoleName

          java.lang.String getPartnerRoleName()

    - #### getPartnerLinkName

          java.lang.String getPartnerLinkName()

    - #### getMyRoleServiceName

          javax.xml.namespace.QName getMyRoleServiceName()

      Get the service name associated with this partner link.
      Returns:

    - #### setMyRoleServiceName

          void setMyRoleServiceName(javax.xml.namespace.QName svcName)

    - #### getMyEPR

          org.w3c.dom.Element getMyEPR()

    - #### setMyEPR

          void setMyEPR(org.w3c.dom.Element val)

    - #### getPartnerEPR

          org.w3c.dom.Element getPartnerEPR()

    - #### setPartnerEPR

          void setPartnerEPR(org.w3c.dom.Element val)

    - #### getMySessionId

          java.lang.String getMySessionId()

    - #### getPartnerSessionId

          java.lang.String getPartnerSessionId()

    - #### setPartnerSessionId

          void setPartnerSessionId(java.lang.String session)

    - #### setMySessionId

          void setMySessionId(java.lang.String sessionId)